# Class default

- Defined in src/print/VectorEncoder.js:38

#####
Index

### Properties

geojsonFormat

### Methods

encodeTextStyle_
encodeVectorLayer
encodeVectorStyleFill_
encodeVectorStyleLine_
encodeVectorStylePolygon_
encodeVectorStyleStroke_
encodeVectorStyle_
encodeVectorStyle_Point_
newFeatureFromStyle_

## Properties

### geojsonFormat

geojsonFormat: GeoJSON

- Defined in src/print/VectorEncoder.js:42

## Methods

### encodeTextStyle_

- encodeTextStyle_(textStyle, goodnessOfFit?): MapFishPrintSymbolizer

- #### Parameters

  - ##### textStyle: Text

    Text style.

  - ##### `Optional` goodnessOfFit: number

    Goodness of fit.

  #### Returns MapFishPrintSymbolizer

  The style

  - Defined in src/print/VectorEncoder.js:428

### encodeVectorLayer

- encodeVectorLayer(mapFishPrintLayer, layer, resolution, destinationPrintDpi, goodnessOfFit?): void

- #### Parameters

  - ##### mapFishPrintLayer: MapFishPrintLayer[]

    Array.

  - ##### layer: VectorLayer<VectorSource<Geometry>>

    Layer.

  - ##### resolution: number

    Resolution.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  - ##### `Optional` goodnessOfFit: number

    Goodness of fit.

  #### Returns void

  - Defined in src/print/VectorEncoder.js:82

### encodeVectorStyleFill_

- encodeVectorStyleFill_(symbolizer, fillStyle): void

- #### Parameters

  - ##### symbolizer: MapFishPrintSymbolizerPoint | MapFishPrintSymbolizerPolygon

    MapFish Print symbolizer.

  - ##### fillStyle: Fill

    Fill style.

  #### Returns void

  - Defined in src/print/VectorEncoder.js:278

### encodeVectorStyleLine_

- encodeVectorStyleLine_(strokeStyle): MapFishPrintSymbolizer

- #### Parameters

  - ##### strokeStyle: Stroke

    Stroke style.

  #### Returns MapFishPrintSymbolizer

  The style

  - Defined in src/print/VectorEncoder.js:293

### encodeVectorStylePolygon_

- encodeVectorStylePolygon_(fillStyle, strokeStyle): MapFishPrintSymbolizer

- #### Parameters

  - ##### fillStyle: Fill

    Fill style.

  - ##### strokeStyle: Stroke

    Stroke style.

  #### Returns MapFishPrintSymbolizer

  The style

  - Defined in src/print/VectorEncoder.js:376

### encodeVectorStyleStroke_

- encodeVectorStyleStroke_(symbolizer, strokeStyle): void

- #### Parameters

  - ##### symbolizer: MapFishPrintSymbolizerPoint | MapFishPrintSymbolizerPolygon | MapFishPrintSymbolizerLine

    MapFish Print symbolizer.

  - ##### strokeStyle: Stroke

    Stroke style.

  #### Returns void

  - Defined in src/print/VectorEncoder.js:392

### encodeVectorStyle_

- encodeVectorStyle_(geometryType, resolution, style, destinationPrintDpi, goodnessOfFit?): MapFishPrintSymbolizer[]

- #### Parameters

  - ##### geometryType: string

    Type of the GeoJSON geometry

  - ##### resolution: number

    Resolution.

  - ##### style: Style

    Style.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  - ##### `Optional` goodnessOfFit: number

    Goodness of fit.

  #### Returns MapFishPrintSymbolizer[]

  The styles

  - Defined in src/print/VectorEncoder.js:231

### encodeVectorStyle_Point_

- encodeVectorStyle_Point_(resolution, imageStyle, destinationPrintDpi): MapFishPrintSymbolizer

- #### Parameters

  - ##### resolution: number

    Resolution.

  - ##### imageStyle: ImageStyle

    Image style.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  #### Returns MapFishPrintSymbolizer

  The style

  - Defined in src/print/VectorEncoder.js:307

### newFeatureFromStyle_

- newFeatureFromStyle_(style): Feature<Geometry>

- Transforms a style with a geometry to a new feature.

  #### Parameters

  - ##### style: Style

    Style.

  #### Returns Feature<Geometry>

  A feature from the style.

  - Defined in src/print/VectorEncoder.js:208

Generated using TypeDoc